GET /jobs/{id}/captions

rev.ai

Summary: Get Captions
Operation ID: GetCaptions
Auth: unknown
Description

Returns the caption output for a transcription job. We currently support SubRip (SRT) and Web Video Text Tracks (VTT) output. Caption output format can be specified in the `Accept` header. Returns SRT by default. *** Note: For streaming jobs, transient failure of our storage during a live session may prevent the final hypothesis elements from saving properly, resulting in an incomplete caption file. This is rare, but not impossible.

Parameters (3)

Accept (string, header, optional)

MIME type specifying the caption output format

Constraints: {'enum': ['application/x-subrip', 'text/vtt']}

id (string, path, required)

Rev.ai API Job Id

speaker_channel (integer, query, optional)

Identifies which channel of the job output to caption. Default is `null` which works only for jobs with no `speaker_channels_count` provided during job submission.

No probe data for this endpoint yet.